Skip Menu |
 

This queue is for tickets about the Math-Pari CPAN distribution.

Report information
The Basics
Id: 33657
Status: open
Priority: 0/
Queue: Math-Pari

People
Owner: Nobody in particular
Requestors: JohnPolansky [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in:
  • 2.010707
  • 2.010708
  • 2.010709
Fixed in: (no value)



Subject: Math::Pari appears incompatible with 5.10
Download (untitled) / with headers
text/plain 1.6k
I am attempting to install Net::SSH::Perl and one of the requirements is the Math::Pari. My server is a Solaris 9 64bit box. I've got openpkg package install which uses perl 5.10.0. Every attempt I've made to compile the package has failed. I've used versions 2.010709, 2.010708, 2.010707 of Math::Pari and I've used pari-2.1.4, pari-2.1.6, pari-2.1.7, pari-2.3.2, pari-2.3.3 all of them fail with mostly the same error. I have attached the error log file for you above. I jumped on #perl and 2 guys look at my error and immediately announced that Math::Pari was trying to use a "function?" that is no longer supported under perl 5.10.0. They said "just show him the error in a bug report, he will know what to do" I don't claim to be an expert at perl I dabble with scripts and so forth so I've tried to include all relevant information here. Here is the error: Command Options used: perl Makefile.PL paridir=/tmp/pari/pari2.1.7 machine=none Pari.xs: In function 'installPerlFunctionCV': Pari.xs:1153: error: 'XPVCV' has no member named 'xof_off' Pari.xs: In function 'callPerlFunction': Pari.xs:1219: error: 'XPVCV' has no member named 'xof_off' make: *** [Pari.o] Error 1 When I used any version of less than pari-2.3 it always died during the compile, however if I specificed machine=none then the pari-2.1.X release compiled all the way to the same error as the pari-2.3.3 version. I've attached both logs above. I'm hoping the fix won't be too difficult to apply, as this math::Pari is used by quite a few things I imagine it's import to get it fixed for the current release of perl. Thanks for your time. Let me know if I can test bed anything for you. -Tambu
Subject: os_info.txt
Download os_info.txt
text/plain 523b
This is perl, v5.10.0 built for sun4-solaris Copyright 1987-2007, Larry Wall Perl may be copied only under the terms of either the Artistic License or the GNU General Public License, which may be found in the Perl 5 source kit. Complete documentation for Perl, including FAQ lists, should be found on this system using "man perl" or "perldoc perl". If you have access to the Internet, point your browser at http://www.perl.org/, the Perl Home Page. SunOS bos90591 5.9 Generic_122300-07 sun4u sparc SUNW,Sun-Fire-V440
Subject: Math_Pari_compile_pari217_machine_auto.log

Message body not shown because it is not plain text.

Subject: Math_Pari_compile_pari217_machine_none.log

Message body not shown because it is not plain text.

CC: undisclosed-recipients: ;
Subject: Re: [rt.cpan.org #33657] Math::Pari appears incompatible with 5.10
Date: Fri, 29 Feb 2008 00:12:01 -0800
To: Tambu via RT <bug-Math-Pari [...] rt.cpan.org>
From: Ilya Zakharevich <nospam-abuse [...] ilyaz.org>
On Thu, Feb 28, 2008 at 07:37:21AM -0500, Tambu via RT wrote: Show quoted text
> I am attempting to install Net::SSH::Perl and one of the requirements is > the Math::Pari. My server is a Solaris 9 64bit box. I've got openpkg > package install which uses perl 5.10.0. Every attempt I've made to > compile the package has failed. I've used versions 2.010709, 2.010708, > 2.010707 of Math::Pari and I've used pari-2.1.4, pari-2.1.6, pari-2.1.7, > pari-2.3.2, pari-2.3.3 all of them fail with mostly the same error. I > have attached the error log file for you above. > > I jumped on #perl and 2 guys look at my error and immediately announced > that Math::Pari was trying to use a "function?" that is no longer > supported under perl 5.10.0. They said "just show him the error in a bug > report, he will know what to do" I don't claim to be an expert at perl I > dabble with scripts and so forth so I've tried to include all relevant > information here. Here is the error:
This is a known problem: 5.10 breaks Math::Pari. I can make no comment on when a workaround could be created. Hope this helps, Ilya
From: JohnPolansky [...] gmail.com
Download (untitled) / with headers
text/plain 411b
On Fri Feb 29 03:12:24 2008, nospam-abuse@ilyaz.org wrote: Show quoted text
> > This is a known problem: 5.10 breaks Math::Pari. I can make no > comment on when a workaround could be created. > > Hope this helps, > Ilya
Was afraid might take awhile, unfortunately openpkg a product we use upgraded to perl 5.10 so we are kinda stuck with it if we want the package system. Well here's hoping it will be a quick fix. Thanks
From: tcallawa [...] redhat.com
Download (untitled) / with headers
text/plain 1.1k
On Fri Feb 29 03:12:24 2008, nospam-abuse@ilyaz.org wrote: Show quoted text
> On Thu, Feb 28, 2008 at 07:37:21AM -0500, Tambu via RT wrote:
> > I am attempting to install Net::SSH::Perl and one of the requirements is > > the Math::Pari. My server is a Solaris 9 64bit box. I've got openpkg > > package install which uses perl 5.10.0. Every attempt I've made to > > compile the package has failed. I've used versions 2.010709, 2.010708, > > 2.010707 of Math::Pari and I've used pari-2.1.4, pari-2.1.6, pari-2.1.7, > > pari-2.3.2, pari-2.3.3 all of them fail with mostly the same error. I > > have attached the error log file for you above. > > > > I jumped on #perl and 2 guys look at my error and immediately announced > > that Math::Pari was trying to use a "function?" that is no longer > > supported under perl 5.10.0. They said "just show him the error in a bug > > report, he will know what to do" I don't claim to be an expert at perl I > > dabble with scripts and so forth so I've tried to include all relevant > > information here. Here is the error:
> > This is a known problem: 5.10 breaks Math::Pari. I can make no > comment on when a workaround could be created.
Fedora 9 is going to ship with 5.10.0, and we also saw this bug.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.